### Signal

# GnomeAutoar Extractor::decide-destination

#### Declaration

    GObject*
    decide_destination (
      AutoarExtractor* self,
      GioFile* destination,
      gpointer files,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when the path of the destination is determined. It is useful for solving name conflicts or for setting a new destination, based on the contents of the archive.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`destination`

  Type: `GFile`

  A `GFile` for the location where files will be extracted.

  The data is owned by the caller of the function.

`files`

  Type: `gpointer`

  The list of `GFile` objects to be extracted. All have `destination` as their common prefix.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GObject`

`GFile` for location that will overwrite `destination`, or `NULL` if this is not wanted.

The caller of the function takes ownership of the data, and is responsible for freeing it.